[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataLink.ExecuteAction

Execute action

## Declaration

Source position: db.pas line 1829

`public function TDataLink.ExecuteAction(`
`Action: TBasicAction`
`):Boolean; virtual;`

## Arguments

`Action` |  | Action to execute

## Function result

Action was executed successfully

## Description

ExecuteAction implements action support. It should never be necessary to call ExecuteAction from program code, as it is called automatically whenever a target control needs to handle an action. This method must be overridden in case any additional action must be taken when the action must be executed. The implementation in TDatalink checks if the action handles the datasource, and then calls Action.ExecuteTarget, passing it the datasource. If so, it returns True.

## See also

TDatalink.UpdateAction |  | Update handler for actions